import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.search.textStore.searchTexts({
storeName: "<value>",
xApiKeyId: "<id>",
xUserId: "<id>",
xExchangeJwtExternalUserId: "<id>",
searchTextRequest: {
query: "noise-cancelling headphones",
vector: [
0.16,
-0.08,
0.29,
],
limit: 5,
},
});
console.log(result);
}
run();{
"results": [
{
"group": "electronics_q1_2026",
"score": 0.9321,
"text": "Wireless noise-cancelling headphones with 30-hour battery life"
}
],
"search_time_ms": 24,
"total": 1
}Search for similar texts in a store
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.search.textStore.searchTexts({
storeName: "<value>",
xApiKeyId: "<id>",
xUserId: "<id>",
xExchangeJwtExternalUserId: "<id>",
searchTextRequest: {
query: "noise-cancelling headphones",
vector: [
0.16,
-0.08,
0.29,
],
limit: 5,
},
});
console.log(result);
}
run();{
"results": [
{
"group": "electronics_q1_2026",
"score": 0.9321,
"text": "Wireless noise-cancelling headphones with 30-hour battery life"
}
],
"search_time_ms": 24,
"total": 1
}Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.
Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.
Was this page helpful?